Description

Nested hostgroups should inherit class parameter overrides along with the classes they are inheriting.

Example Hostgroups:

WebServer

WebServer/TypeA

WebServer/TypeB

WebServer/TypeC

If a puppet class is applied to hostgroup WebServer and its parameters overridden, WebServer/TypeA,B,C should all inherit that

parameter override -- but retaining the ability to override it again.

This would save a lot of time and remove chance for error in trying to get a class override to all netsted hostgroups of a parent.

Probably related to issue #2132 -- adding ability to configure class parameters at the hostgroup level in the UI.

Related issues:

Related to Foreman - Feature #2132: Allow overriding of class parameters in t... Closed 01/16/2013

Associated revisions

Revision 0f9df583 - 05/09/2013 02:33 PM - Amos Benari

fixes #2220 - Suport hostgroup puppet classes parameters inheritance.

History

#1 - 02/19/2013 09:43 AM - Dominic Cleal

- Subject changed from Support inheritance of class parameters in nested hostgroups to Matchers should support inheritance of smart class

parameters in nested hostgroups

- Category set to Parameters

This is to make the smart class parameters matchers understand hostgroup inheritance instead of matching simply on equality.

#2 - 03/15/2013 08:55 PM - Charles Gomes

I'm also interested in this.

I've a PostgreSQL::Params that defines versions and other parameters.

I've a PostgreSQL class that installs client libs and uses Params to override the version.

Then I've a PostgreSQL::Server, that install the server. That also shares Params, however changing the Params through the smart class does not

apply to server.

If I force to inherit Params I get a puppet error:

Error 400 on SERVER: Duplicate declaration: Class[Postgresql::Params] is already declared; cannot redeclare on

 node 

#3 - 04/11/2013 02:10 PM - Dominic Cleal
https://projects.theforeman.org/issues/2132


- Target version set to 1.2.0

#4 - 05/09/2013 12:57 PM - Dominic Cleal

- Status changed from New to Ready For Testing

- Assignee set to Amos Benari

https://github.com/theforeman/foreman/pull/580

#5 - 05/09/2013 03:46 PM - Amos Benari

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset 0f9df58388d86ae70a0d507922f77888c9810913.
